Rygel.Plugin – librygel-core Reference Manual

# Plugin

## Object Hierarchy:

## Description:

public class Plugin : ResourceFactory

This represents a Rygel plugin.

Plugin libraries should provide an object of this class or a subclass in their module_init() function.

It is generally convenient to derive from #RygelMediaRendererPlugin from librygel-renderer, or from #RygelMediaServerPlugin from librygel -server.

Plugins may change their behaviour based on their configuration. See rygel_meta_config_get_default().

Namespace: Rygel
Package: librygel-core

## Content:

### Properties:

- public PluginCapabilities capabilities { construct set; get; }
- public string name { construct; get; }
- public string title { construct set; get; }
- public string description { construct; get; }
- public string desc_path { construct; get; }
- public bool active { set; get; }
- public ArrayList<ResourceInfo> resource_infos { get; }
- public ArrayList<IconInfo> icon_infos { get; }
- public ArrayList<IconInfo> default_icons { get; }

### Creation methods:

- public Plugin (string desc_path, string name, string? title, string? description = null, PluginCapabilities capabilities = NONE)
  Create an instance of the plugin.

### Methods:

- public override void constructed ()
- public void add_resource (ResourceInfo resource_info)
- public void add_icon (IconInfo icon_info)
- public virtual void apply_hacks (RootDevice device, string description_path) throws Error

### Inherited Members:

All known members inherited from class GUPnP.ResourceFactory

- get_default
- register_resource_proxy_type

- register_resource_type
- unregister_resource_proxy_type

- unregister_resource_type

All known members inherited from class GLib.Object

- interface_find_property
- interface_install_property
- interface_list_properties
- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating

- freeze_notify
- @get
- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- is_floating
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set

- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count